import { APIClient } from '@ffflorian/api-client';
import { PaginationOptions, Platform } from '../interfaces/';
export declare class PlatformAPI {
    private readonly apiClient;
    constructor(apiClient: APIClient);
    /**
     * Get list of supported package managers.
     * @see https://libraries.io/api#platforms
     * @param options Pagination options
     */
    getPlatforms(options?: PaginationOptions): Promise<Platform[]>;
}
